import request from '@/utils/request'

// 查询塔机定位信息列表
export function listTowerDataLocal(query) {
  return request({
    url: '/device/towerDataLocal/list',
    method: 'get',
    params: query
  })
}

// 查询塔机定位信息详细
export function getTowerDataLocal(id) {
  return request({
    url: '/device/towerDataLocal/' + id,
    method: 'get'
  })
}

// 新增塔机定位信息
export function addTowerDataLocal(data) {
  return request({
    url: '/device/towerDataLocal',
    method: 'post',
    data: data
  })
}

// 修改塔机定位信息
export function updateTowerDataLocal(data) {
  return request({
    url: '/device/towerDataLocal',
    method: 'put',
    data: data
  })
}

// 删除塔机定位信息
export function delTowerDataLocal(id) {
  return request({
    url: '/device/towerDataLocal/' + id,
    method: 'delete'
  })
}
